<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
 header("Content-Type:text/html; charset=utf-8");
 // Captura la cédula del usuario inició sesión.	  
 	 $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
	 $sede_usuario=$_SESSION['SEDE_USUARIO'];
  	 $accion = @$_POST["accion"];
	 
 // Captura los datos que vienen de pagar_inscripcion_nuevos.php
	 
	 $tipo_doc = $_GET["tipo_doc"];
	 $cedula = $_GET["cedula"];
	 $apellidos = $_GET["apellidos"];
	 $nombres = $_GET["nombres"];
	 $id_carrera = $_GET["id_carrera"];
	 $id_sede = $_GET["id_sede"];
	 $seccion = $_GET["seccion"];
	 $id_periodo=$_GET["id_periodo"]; 
	 
	 $apellidos=strtoupper($apellidos);
	 $nombres=strtoupper($nombres);
	
	 $participante=$apellidos.', '.$nombres;
	
	 $fecha1 = explode("-",date("Y-m-d")); 
     $fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
     $fecha_hoy = cambioFecha($fecha2);
     $fecha_ingreso=join ("-",(array_reverse(explode("-",$fecha_hoy))));
     $fechanac=join ("-",(array_reverse(explode("-",$fechanac))));
	 // Abro la Base de Datos.
	 mysql_select_db($database_conn, $conn);
	 mysql_query ("SET NAMES 'utf8'");
	 
	 $sqlLapso = "select codigo from periodos where id_periodo='$id_periodo'";
	 $rstLapso = mysql_query($sqlLapso, $conn) or die(mysql_error());
	 $rowLapso = mysql_fetch_assoc($rstLapso);
	 $lapso=$rowLapso["codigo"];
	 
	 // Busco el alumno para ver si es Nuevo Ingreso..
	 $sqlalumno = "select id_alumno from alumnos where cedula='$cedula' or pasaporte='$cedula'";
	 $rstalumno = mysql_query($sqlalumno, $conn) or die(mysql_error());
	 $rowalumno=mysql_num_rows($rstalumno);
	 if(!isset($accion)){
	    if($rowalumno==0){
    	    // Agregamos el participante en la Tabla Alumno.
			$etnia="0";
			$condicion_res="1";
			$becado="1";
			$privado_lib="2";
			$grado_acad="2";
			$nivel_acad="POST-GRADO";
			if($tipo_doc=="C"){
			   $nacionalidad="V";
			}
			else{
			   $nacionalidad="E";
			}
	       	$sql = "insert into `alumnos` (`tipo_doc`, `cedula`, `nacionalidad`,  `apellidos`, `nombres`, `sede`, `etnia`, `condicion_res`, `privado_lib`, `nivel_acad`, `grado_acad`, `fecha_ingreso`,`discapacidad`,`carrera`) values ('$tipo_doc','$cedula', '$nacionalidad', '$apellidos', '$nombres', '$id_sede', '$etnia', '$condicion_res', '$privado_lib', '$nivel_acad', '$grado_acad', '$fecha_ingreso','0','$id_carrera')";
		   mysql_query($sql, $conn) or die(mysql_error());
		  }
		  
         // Se obtiene el ID del participante.
		 $sqlId = "select id_alumno from alumnos where cedula='$cedula' or pasaporte='$cedula'";
		 $rstId = mysql_query($sqlId, $conn) or die(mysql_error());
		 $rowId = mysql_fetch_assoc($rstId);
		 $id_alumno=$rowId['id_alumno'];	
		 $participante=$apellidos.', '.$nombres;
		  
		  // Busco al participante para ver si ya esta en el programa.
		 $sqlap= "select id_alumno from carreras_alumno where id_alumno='$id_alumno' and id_carrera='$id_carrera'";
		 $rstap = mysql_query($sqlap, $conn) or die(mysql_error());
		 $rowap=mysql_num_rows($rstap);
		 
		 if($rowap==0){  
	        // Agregamos el programa al participante.
	        $fecha_ingreso=join ("-",(array_reverse(explode("-",$fecha_hoy))));
	        $annio_ingreso=substr($fecha_ingreso,0,4);
	        $sql = "insert into `carreras_alumno` (`id_alumno`,`id_carrera`,`sede`,`fecha_ingreso`,`annio_ingreso`,`periodo_ingreso`, `status`,`seccion`,`modo_ingreso`,`turno`) values ('$id_alumno', '$id_carrera', '$id_sede', '$fecha_ingreso', '$annio_ingreso','$id_periodo','ACTIVA','$seccion','5','5')";
	         mysql_query($sql, $conn) or die(mysql_error());
          }  
	  }  
	 
?>
<script type="text/javascript">
      alert("Registro de Participante procesado con exito.\nRECUERDE que debe completar la Ficha del Participante");
	  url="alumnos.php?a=nada&valor_campo=<?php echo $id_alumno ?>";
	  window.open(url,'contenido');	
   </script>

<?php
function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     



 ?>
